using KarleyLibrary.Attributes;
using System;

namespace WK5.Core.Models
{
    public class ArtikelDetails
    {
        [CompareField("OUT_NR")]
        public string Nummer { get; set; } = String.Empty;

        [CompareField("OUT_BEZ1")]
        public string? Bez1 { get; set; }

        [CompareField("OUT_BEZ2")]
        public string? Bez2 { get; set; }

        [CompareField("OUT_BEZ3")]
        public string? Bez3 { get; set; }

        [CompareField("OUT_BEZ4")]
        public string? Bez4 { get; set; }

        [CompareField("OUT_BEZ5")]
        public string? Bez5 { get; set; }


        [CompareField("OUT_BESTAND")]
        public int Bestand { get; set; }

        [CompareField("OUT_BESTAND_EUR")]
        public decimal Bestandswert { get; set; }

        [CompareField("OUT_OFFBESTELL")]
        public int Bestellungen { get; set; }

        [CompareField("OUT_BEDARF")]
        public int Bedarf { get; set; }

        [CompareField("OUT_LAGER")]
        public string? Lagerplatz { get; set; }

        [CompareField("OUT_LETZBEW")]
        public DateTime LetzteBewegung { get; set; }

        [CompareField("OUT_WARENGRUPPE")]
        public string? Warengruppe { get; set; }

        [CompareField("OUT_UNTERWARENG")]
        public string? Unterwarengruppe { get; set; }

        [CompareField("OUT_EK")]
        public decimal EK { get; set; }

    }
}
